Skip to main content
POST
/
bank-account
/
bulk
Bulk Bank Account Verification V2
curl --request POST \
  --url https://sandbox.cashfree.com/verification/bank-account/bulk \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "bulk_verification_id": "test001",
  "entries": [
    {
      "name": "John Doe",
      "bank_account": "11020001772",
      "ifsc": "HDFC0000001",
      "phone": "9999999999"
    }
  ]
}
'
import requests

url = "https://sandbox.cashfree.com/verification/bank-account/bulk"

payload = {
    "bulk_verification_id": "test001",
    "entries": [
        {
            "name": "John Doe",
            "bank_account": "11020001772",
            "ifsc": "HDFC0000001",
            "phone": "9999999999"
        }
    ]
}
headers = {
    "x-client-id": "<api-key>",
    "x-client-secret": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-client-id': '<api-key>',
    'x-client-secret': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    bulk_verification_id: 'test001',
    entries: [
      {
        name: 'John Doe',
        bank_account: '11020001772',
        ifsc: 'HDFC0000001',
        phone: '9999999999'
      }
    ]
  })
};

fetch('https://sandbox.cashfree.com/verification/bank-account/bulk', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{ "bulk_reference_id": 123, "bulk_verification_id": "bulk-test-123", "status": "RECEIVED" }
  • Cashfree does not support the verification of Deutsche Bank and Paytm Payments Bank accounts.
  • For further queries, please refer to the Bank Account Verification FAQs.

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

Body

application/json

Find the request parameters to verify bank account information in bulk.

bulk_verification_id
string
default:test001
required

It is the unique ID you create to identify the API request. The maximum character limit is 50. Alphanumeric, period (.), hyphen (-). and underscore ( _ ) are allowed.

Example:

"test001"

entries
object[]
required

It is the array of bank account information, which needed to be verified.

Example:
[
  {
    "name": "John Doe",
    "bank_account": "11020001772",
    "ifsc": "HDFC0000001",
    "phone": "9999999999"
  }
]

Response

Success response for Bulk Bank Account Verification V2.

bulk_reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

23

bulk_verification_id
string

It displays the unique ID you created to identify the Bulk Bank Account Verification API request.

Example:

"bulk-test-123"

status
string

It displays the status of the verification. Possible values are:

  • RECEIVED
Example:

"RECEIVED"